<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE properties SYSTEM "http://java.sun.com/dtd/properties.dtd">
<properties>
    <comment>Cellular Automata Game Of Life</comment>

    <!-- Core Properties -->
    <!-- Name of our Experimenter -->
    <entry key="MAX_CORE_EXPERIMENTER_NAME">max.model.cellular.life.exp.GameOfLifeExperimenter</entry>
    
    <entry key="MAX_CORE_ALWAYS_VERIFY_ROLE_PLAYING">false</entry>
    
    <entry key="MAX_CORE_ACTION_EXECUTION_STRATEGY">ONE_THREAD_PER_ACTION</entry>
    
    <entry key="MAX_CORE_RESULTS_FOLDER_NAME">./results</entry>

    <!-- The simulation step. One is fine. -->
    <entry key="MAX_CORE_SIMULATION_STEP">1</entry>

    <!-- By default, the simulation never ends. Setting this property will make it stop after X=100 ticks. -->
    <entry key="MAX_CORE_TIMEOUT_TICK">1000</entry>

    <!-- No GUI this time. -->
    <entry key="MAX_CORE_UI_MODE">GUI</entry>
    
    <!-- Random initialization of live cells. -->
    <entry key="MAX_MODEL_CELLULAR_LIFE_RANDOM_STATE">true</entry>
    
    <!-- set the initial density of live cells -->
	<entry key="MAX_MODEL_CELLULAR_LIFE_INITIAL_DENSITY">0.35</entry>
	
	<!--  set size of the grid -->
	<entry key = "MAX_MODEL_CELLULAR_NUMBER_OF_COLUMNS">100</entry>
	<entry key = "MAX_MODEL_CELLULAR_NUMBER_OF_ROWS">100</entry>

</properties>